Bug 332109 - Excessive IO usage of akonadi_baloo feeder
Summary: Excessive IO usage of akonadi_baloo feeder
Status: RESOLVED INTENTIONAL
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: Indexer (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR major (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-13 20:28 UTC by Hrvoje Senjan
Modified: 2016-11-12 19:30 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hrvoje Senjan 2014-03-13 20:28:23 UTC
Other than the huge leak on initial indexing, akonadi baloo feeder creates *massive* IO output - it makes both PIM, and the computer unusable =(
Maybe it depends on DB size...

Reproducible: Always

Steps to Reproduce:
Install baloo/akonadi/kdepim master or 4.13 branch/beta
Actual Results:  
See enormous amount of IO created

Expected Results:  
=)

let me know how i can help debugging. so far i've wiped the DB twice, didn't helped.
Comment 1 Hrvoje Senjan 2014-03-13 20:30:05 UTC
adding Dan to CC, i know he said on IRC he has the same effect...
Comment 2 Vojtěch Zeisek 2014-04-28 14:57:25 UTC
I can confirm that (openSUSE 13.1, KDE 4.13.0). Isn't it related to https://bugs.kde.org/show_bug.cgi?id=333655 ?
Comment 3 Hrvoje Senjan 2014-04-28 21:28:04 UTC
(In reply to comment #2)
> I can confirm that (openSUSE 13.1, KDE 4.13.0). Isn't it related to
> https://bugs.kde.org/show_bug.cgi?id=333655 ?

could be related, though likely different causes. i've got situation more-less under control by wiping 2/3 of my mails, and ommiting one collection with fair share of attachments from indexing
Comment 4 Denis Kurz 2016-09-24 20:33:19 UTC
This bug has only been reported for versions older than KDEPIM 4.14 (at most akonadi-1.3). Can anyone tell if this bug still present?

If noone confirms this bug for a recent version of akonadi (part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 5 Vojtěch Zeisek 2016-11-11 14:41:07 UTC
After some time of peace, I do hit it again in baloo 5.26.0 (openSUSE TW, Plasma 5.8.2)...
Comment 6 Christophe Giboudeaux 2016-11-12 13:54:22 UTC
(In reply to Vojtěch Zeisek from comment #5)
> After some time of peace, I do hit it again in baloo 5.26.0 (openSUSE TW,
> Plasma 5.8.2)...

Recent kdepim version don't use baloo. That's probably unrelated.
Comment 7 Vojtěch Zeisek 2016-11-12 19:16:50 UTC
OK, so this is another problem and this bug can be closed.